<!DOCTYPE html>
<html>
  <head>
    <title>Controlpanel</title>
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="apple-touch-icon" sizes="180x180" href="apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="favicon-16x16.png">
    <link rel="manifest" href="site.webmanifest">
    <% if (env.NODE_ENV === 'production') { %>
    <link type="text/css" rel="stylesheet" href="css/materialize.min.css" media="screen,projection"/>
    <% } else { %>
    <link type="text/css" rel="stylesheet" href="css/materialize.css" media="screen,projection"/>
    <% } %>

    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>


    <style>
      html, body {
        height: 100%;
        width: 100%;
        margin: 0;
        padding: 0;
      }

      html {
        background-color: <%= colors.watervlo_yellow %>;
        color: <%= colors.watervlo_blue %>;
        font-family: "Roboto", sans-serif;
      }

      .watervlo-blue,
      .watervlo-blue:hover {
        background-color: <%= colors.watervlo_blue %>;
      }
      .watervlo-blue-text {
        color: <%= colors.watervlo_blue %>;
      }

      .watervlo-yellow,
      .watervlo-yellow:hover {
        background-color: <%= colors.watervlo_yellow %>;
      }
      .watervlo-yellow-text {
        color: <%= colors.watervlo_yellow %>;
      }

      div.nav-wrapper ul li a {
        color: <%= colors.watervlo_yellow %>;
      }
      nav .dropdown-content {
        background-color: <%= colors.watervlo_blue %>;
      }

      .page,
      .subpage {
        visibility: hidden;
        position: absolute;
        width: 100%;
        margin: 0;
        padding: 0;
      }
    </style>

    <% files.forEach((file) => { %>
    <%- `<!-- ${file.split('.')[0]} page css -->` %>
    <%- include('controlpanel_pages/' + file, { section: 'css' }) %>
    <% }); %>

    <!-- Include scripts -->
    <script type="text/javascript" src="materialize.min.js"></script>
    <script type="text/javascript" src="textFit.min.js"></script>
    <script type="text/javascript" src="simplepeer.min.js"></script>
    <script>
      <%- include('numberPad.js') %>
    </script>
    <script>
      <%- include('timer.js') %>
    </script>

    <!-- On load scripts -->
    <script>
      window.addEventListener('DOMContentLoaded', () => {
        let elems = document.querySelectorAll('.dropdown-trigger')
        let instances = M.Dropdown.init(elems)
        elems = document.querySelectorAll('.sidenav');
        instances = M.Sidenav.init(elems);
        elems = document.querySelectorAll('.collapsible');
        instances = M.Collapsible.init(elems);
      })
    </script>

    <!-- Websocket scripts -->
    <script>
      <%- include('websocket.js', { clientType: 'controlpanel' }) %>


      registerCommand('global', 'data', (data) => {
        changePage(data.page)
        document.getElementById('current-page').innerHTML = `Huidige pagina: ${data.page}`
      })
    </script>

    <!-- TextFit scripts -->
    <script>
      function fitText(element) {
        textFit(element, { alignVert: true, maxFontSize: 100, multiline: true })
      }
      function fitAllText() {
        fitText(document.getElementsByClassName('text-fit'))
      }
    </script>

  </head>
  <body onload="fitAllText()" onresize="fitAllText()">

    <!-- Navigation for desktop -->
    <ul id="waterpolo-dropdown" class="dropdown-content">
      <li><a onclick="setPage('scoreboard')">Scorebord</a></li>
      <li><a onclick="setPage('manMeer')">Man-meer</a></li>
    </ul>
    <ul id="wedstrijdzwemmen-dropdown" class="dropdown-content">
      <li><a onclick="setPage('wz-clock')">WZ-klok</a></li>
    </ul>
    <ul id="timers-dropdown" class="dropdown-content">
      <li><a onclick="setPage('timer')">Timer</a></li>
      <li><a onclick="setPage('stopwatch')">Stopwatch</a></li>
    </ul>
    <ul id="overige-dropdown" class="dropdown-content">
      <li><a onclick="setPage('soccer')">Voetbal</a></li>
      <li><a onclick="setPage('youtube')">Youtube</a></li>
      <li><a onclick="setPage('admin')">Admin</a></li>
      <li><a href="logout">Logout</a></li>
    </ul>
    <nav class="watervlo-blue">
      <div class="nav-wrapper">
        <ul class="left show-on-med-and-down">
          <li><a href="#" data-target="slide-out" class="sidenav-trigger"><i class="material-icons">menu</i></a></li>
        </ul>
        <ul class="left">
          <li><a><b id="current-page"></b></a></li>
        </ul>
        <ul class="right hide-on-med-and-down">
          <li><a onclick="setPage('start')">Startpagina</a></li>
          <li><a class="dropdown-trigger" href="#" data-target="waterpolo-dropdown">Waterpolo<i class="material-icons right">arrow_drop_down</i></a></li>
          <li><a class="dropdown-trigger" href="#" data-target="wedstrijdzwemmen-dropdown">Wedstrijdzwemmen<i class="material-icons right">arrow_drop_down</i></a></li>
          <li><a class="dropdown-trigger" href="#" data-target="timers-dropdown">Timers<i class="material-icons right">arrow_drop_down</i></a></li>
          <li><a class="dropdown-trigger" href="#" data-target="overige-dropdown">Overige<i class="material-icons right">arrow_drop_down</i></a></li>
        </ul>
      </div>
    </nav>

    <!-- Side navigation for mobile -->
    <ul id="slide-out" class="sidenav show-on-med-and-down sidenav-close">
      <li><a class="waves-effect" onclick="setPage('start')">Startpagina</a></li>
      <li><div class="divider"></div></li>
      <li><a class="subheader">Waterpolo</a></li>
      <li><a class="waves-effect" onclick="setPage('scoreboard')">Scorebord</a></li>
      <li><a class="waves-effect" onclick="setPage('manMeer')">Man-meer</a></li>
      <li><div class="divider"></div></li>
      <li><a class="subheader">Wedstrijdzwemmen</a></li>
      <li><a class="waves-effect" onclick="setPage('wz-clock')">WZ-klok</a></li>
      <li><div class="divider"></div></li>
      <li><a class="subheader">Timers</a></li>
      <li><a class="waves-effect" onclick="setPage('timer')">Timer</a></li>
      <li><a class="waves-effect" onclick="setPage('stopwatch')">Stopwatch</a></li>
      <li><div class="divider"></div></li>
      <li><a class="subheader">Overige</a></li>
      <li><a class="waves-effect" onclick="setPage('soccer')">Voetbal</a></li>
      <li><a class="waves-effect" onclick="setPage('youtube')">Youtube</a></li>
      <li><a class="waves-effect" onclick="setPage('admin')">Admin</a></li>
      <li><a class="waves-effect" href="logout">Logout</a></li>
    </ul>

    <% files.forEach((file) => { %>
    <%- `<!-- ${file.split('.')[0]} page html -->` %>
    <%- include('controlpanel_pages/' + file, { section: 'html' }) %>
    <% }); %>

    <!-- Set page script -->
    <script>
      function setPage(page) {
        connection.sendCommand('global', 'setPage', { page })
      }
    </script>

    <% files.forEach((file) => { %>
    <%- `<!-- ${file.split('.')[0]} page javascript -->` %>
    <%- include('controlpanel_pages/' + file, { section: 'js' }) %>
    <% }); %>
  </body>
</html>
